> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Live attendance: today's roster, KPIs, punch feed

> Live attendance: today's roster, KPIs, punch feed, by-location



## OpenAPI

````yaml /api-reference/openapi.json get /api/attendance/live
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/attendance/live:
    get:
      tags:
        - Attendance
      summary: 'Live attendance: today''s roster, KPIs, punch feed'
      description: 'Live attendance: today''s roster, KPIs, punch feed, by-location'
      operationId: getApiAttendanceLive
      parameters:
        - in: query
          name: date
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  date:
                    type: string
                  kpis:
                    type: object
                    properties:
                      expected:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      punchedIn:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      onTime:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      late:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      yetToPunch:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      noShow:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      onLeave:
                        type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      otHoursToday:
                        type: number
                    required:
                      - expected
                      - punchedIn
                      - onTime
                      - late
                      - yetToPunch
                      - noShow
                      - onLeave
                      - otHoursToday
                  roster:
                    type: array
                    items:
                      type: object
                      properties:
                        employeeId:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        name:
                          type: string
                        code:
                          type: string
                        shiftCode:
                          anyOf:
                            - type: string
                              enum:
                                - G
                                - M
                                - E
                                - 'N'
                                - F
                            - type: 'null'
                        shiftLabel:
                          anyOf:
                            - type: string
                            - type: 'null'
                        firstIn:
                          anyOf:
                            - type: string
                            - type: 'null'
                        lastOut:
                          anyOf:
                            - type: string
                            - type: 'null'
                        workedMinutes:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        locationName:
                          anyOf:
                            - type: string
                            - type: 'null'
                        lastSource:
                          anyOf:
                            - type: string
                              enum:
                                - MobileGPS
                                - SelfieGPS
                                - Biometric
                                - Web
                            - type: 'null'
                        attendanceStatus:
                          type: string
                          enum:
                            - Present
                            - Absent
                            - Leave
                            - Half
                            - WeeklyOff
                            - Holiday
                        liveStatus:
                          type: string
                          enum:
                            - in
                            - out
                            - late
                            - absent
                            - leave
                            - yetToPunch
                            - weeklyOff
                            - holiday
                        lateMinutes:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                      required:
                        - employeeId
                        - name
                        - code
                        - shiftCode
                        - shiftLabel
                        - firstIn
                        - lastOut
                        - workedMinutes
                        - locationName
                        - lastSource
                        - attendanceStatus
                        - liveStatus
                        - lateMinutes
                  feed:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        employeeId:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        employeeName:
                          type: string
                        employeeCode:
                          type: string
                        timestamp:
                          type: string
                        direction:
                          type: string
                          enum:
                            - IN
                            - OUT
                        source:
                          type: string
                          enum:
                            - MobileGPS
                            - SelfieGPS
                            - Biometric
                            - Web
                        deviceId:
                          anyOf:
                            - type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            - type: 'null'
                        deviceCode:
                          anyOf:
                            - type: string
                            - type: 'null'
                        lat:
                          anyOf:
                            - type: number
                            - type: 'null'
                        lng:
                          anyOf:
                            - type: number
                            - type: 'null'
                        accuracyMeters:
                          anyOf:
                            - type: integer
                              minimum: -9007199254740991
                              maximum: 9007199254740991
                            - type: 'null'
                        geofenceStatus:
                          type: string
                          enum:
                            - Inside
                            - Outside
                            - Pending
                        selfieRef:
                          anyOf:
                            - type: string
                            - type: 'null'
                        reason:
                          anyOf:
                            - type: string
                            - type: 'null'
                        status:
                          type: string
                          enum:
                            - Approved
                            - Pending
                            - Rejected
                        conflictFlag:
                          type: boolean
                      required:
                        - id
                        - employeeId
                        - employeeName
                        - employeeCode
                        - timestamp
                        - direction
                        - source
                        - deviceId
                        - deviceCode
                        - lat
                        - lng
                        - accuracyMeters
                        - geofenceStatus
                        - selfieRef
                        - reason
                        - status
                        - conflictFlag
                  byLocation:
                    type: array
                    items:
                      type: object
                      properties:
                        locationId:
                          anyOf:
                            - type: string
                              format: uuid
                              pattern: >-
                                ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                            - type: 'null'
                        name:
                          type: string
                        present:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        expected:
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                      required:
                        - locationId
                        - name
                        - present
                        - expected
                required:
                  - date
                  - kpis
                  - roster
                  - feed
                  - byLocation
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````